Subject: bug#42118: Editing pulseaudio config file fails with "No such file or directory"

From: Nathan Dehnel <[email-masked]>
Date: Mon, 6 Jul 2020 21:59:36 -0500

So if I disable pulseaudio autostart, and start it from bash, I get these errors

bash-5.0$ pulseaudio
E: [pulseaudio] module-jack-sink.c: jack_client_open() failed.
E: [pulseaudio] module.c: Failed to load module "module-jack-sink"
(argument: ""): initialization failed.
E: [pulseaudio] module-jack-source.c: jack_client_open() failed.
E: [pulseaudio] module.c: Failed to load module "module-jack-source"
(argument: ""): initialization failed.

So pulseaudio is seeing my settings correctly, but some other problem
is preventing it from working.

On Wed, Jul 1, 2020 at 7:01 AM Ricardo Wurmus <[email-masked]> wrote:
>
>
> Leo Prikler <[email-masked]> writes:
>
> > Am Mittwoch, den 01.07.2020, 04:33 -0500 schrieb Nathan Dehnel:
> >> > Due to a bug with webkit sandboxing, we no longer put daemon.conf
> >> > into
> >> /etc/pulse (my bad), but rather set PULSE_CONFIG to directly point to
> >> it.
> >> I meant to say /gnu/store/<pulse package>/etc/pulse/daemon.conf.
> >>
> >> > I am currently unsure, at which point this variable
> >> gets updated (I still think you need to reboot)
> >>
> >> I rebooted and everything seems the same.
> >>
> >> Maybe the problem is pulse uses Jack1 as a dependency and I'm trying
> >> to use Jack2.
>
> This should not be a problem.  JACK2 only differs for users but not in
> terms of the API when building software.  In Guix we only build with
> JACK1 for consistency.
>
> --
> Ricardo